import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import {MineService} from "../mine.service";
import * as Mock from "mockjs";


@Component({
  selector: 'page-my-verify',
  templateUrl: 'my-verify.html',
})
export class MyVerifyPage {
  dbList = [];

  constructor(public navCtrl: NavController, public navParams: NavParams,
              private mine: MineService) {
  }

  ionViewDidLoad() {
    Mock.mock(/mockjs/, "post", {
      "list|5": [
        {
          "id|+1": 1,
          "title|1": ['审核审批', "督办", "退回"],
          "content|1": ["操作内容操作内容操作内容操作内容操作内容操作内容"],
          "time": "@date('yyyy-MM-dd')",
        }
      ]
    })
    this.getList();
  }

  getList() {
    const data = {};
    this.mine.dblog(data).subscribe(
        (res) => {
          this.dbList = res.list;
        }
    )
  }

}
