import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams} from 'ionic-angular';
import * as Mock from "mockjs";
import {MineService} from "../mine.service";

@Component({
    selector: 'page-operation',
    templateUrl: 'operation.html',
})
export class OperationPage {

    dbList = [];

    constructor(public navCtrl: NavController, public navParams: NavParams,
                private mine: MineService) {
    }

    ionViewDidLoad() {
        Mock.mock(/mockjs/, "post", {
            "list|5": [
                {
                    "id|+1": 1,
                    "title|1": ['审核审批', "督办", "退回"],
                    "content|1": ["操作内容操作内容操作内容操作内容操作内容操作内容"],
                    "time": "@date('yyyy-MM-dd')",
                }
            ]
        })
        this.getList();
    }

    getList() {
        const data = {};
        this.mine.dblog(data).subscribe(
            (res) => {
                this.dbList = res.list;
            }
        )
    }

}
